Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.integrator.internal
Class IntegratorServiceImpl

    java.lang.Object
      org.hibernate.integrator.internal.IntegratorServiceImpl

All Implemented Interfaces:
  Serializable, IntegratorService, Service

    public class IntegratorServiceImpl

extends Object
implements IntegratorService

See Also:
  Serialized Form

Constructor Summary
`IntegratorServiceImpl(LinkedHashSet<Integrator> providedIntegrators, ClassLoaderService classLoaderService)`

Method Summary
`Iterable<Integrator>` | `getIntegrators()` Retrieve all integrators.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegratorServiceImpl

    public IntegratorServiceImpl(LinkedHashSet<Integrator> providedIntegrators,
                                 ClassLoaderService classLoaderService)

Method Detail

### getIntegrators

    public Iterable<Integrator> getIntegrators()

  Description copied from interface: `IntegratorService`
  Retrieve all integrators.

  Specified by:
    `getIntegrators` in interface `IntegratorService`
  Returns:
    All integrators.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.